# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

### These strings are used inside the about:debugging panel which is available
### by setting the preference `devtools.aboutdebugging.new-enabled` to true.

# Sidebar heading for selecting the currently running instance of Firefox
about-debugging-sidebar-this-firefox =
  .name = This Firefox

# Sidebar heading for connecting to some remote source
about-debugging-sidebar-connect =
  .name = Connect

# Text displayed in the about:debugging sidebar when USB devices discovery is enabled.
about-debugging-sidebar-usb-enabled = USB devices enabled

# Text displayed in the about:debugging sidebar when USB devices discovery is disabled
# (for instance because the mandatory ADB extension is not installed).
about-debugging-sidebar-usb-disabled = USB devices disabled

# Connection status (connected) for runtime items in the sidebar
aboutdebugging-sidebar-runtime-connection-status-connected = Connected
# Connection status (disconnected) for runtime items in the sidebar
aboutdebugging-sidebar-runtime-connection-status-disconnected = Disconnected

# Text displayed in the about:debugging sidebar when no device was found.
about-debugging-sidebar-no-devices = No devices discovered

# Text displayed in buttons found in sidebar items representing remote runtimes.
# Clicking on the button will attempt to connect to the runtime.
about-debugging-sidebar-item-connect-button = Connect

# Temporary text displayed in sidebar items representing remote runtimes after
# successfully connecting to them. Temporary UI, do not localize.
about-debugging-sidebar-item-connected-label = Connected

# Temporary text displayed in a sidebar button to refresh USB devices. Temporary
# UI, do not localize.
about-debugging-refresh-usb-devices-button = Refresh devices

# Title of the Connect page.
about-debugging-connect-title = Connect a Device

# WiFi section of the Connect page
about-debugging-connect-wifi =
  .title = Via WiFi

# Temporary text displayed when wifi support is turned off via preferences.
# { $pref } is the name of the preference that enables wifi
# Do not localize
about-debugging-connect-wifi-disabled = WiFi debugging currently under development. You can enable it with the preference "{ $pref }".

# WiFi section step by step guide
about-debugging-connect-wifi-step-same-network = Ensure that your browser and device are on the same network

# WiFi section step by step guide
about-debugging-connect-wifi-step-open-firefox = Open Firefox for Android

# WiFi section step by step guide
about-debugging-connect-wifi-step-open-options = Go to Options -> Settings -> Advanced

# WiFi section step by step guide
about-debugging-connect-wifi-step-enable-debug = Enable Remote Debugging via WiFi in the Developer Tools section

# USB section of the Connect page
about-debugging-connect-usb =
  .title = Via USB

about-debugging-connect-usb-disabled = Enabling this will download and add the required Android USB debugging components to Firefox.
about-debugging-connect-usb-enable-button = Enable USB Devices
about-debugging-connect-usb-disable-button = Disable USB Devices
about-debugging-connect-usb-updating-button = Updating…

# USB section step by step guide
about-debugging-connect-usb-step-enable-dev-menu = Enable Developer menu on your Android device

# USB section step by step guide
about-debugging-connect-usb-step-enable-debug = Enable USB Debugging on the Android Developer Menu

# USB section step by step guide
about-debugging-connect-usb-step-plug-device = Connect the USB Device to your computer

# Network section of the Connect page
about-debugging-connect-network =
  .title = Via Network Location

# Temporary text displayed when network location support is turned off via preferences.
# { $pref } is the name of the preference that enables network locations
# Do not localize
about-debugging-connect-network-disabled = Network location support currently under development. You can enable it with the preference "{ $pref }".

# Below are the titles for the various categories of debug targets that can be found
# on "runtime" pages of about:debugging.
# Title of the temporary extensions category (only available for "This Firefox" runtime).
about-debugging-runtime-temporary-extensions = Temporary Extensions
# Title of the extensions category.
about-debugging-runtime-extensions = Extensions
# Title of the tabs category.
about-debugging-runtime-tabs = Tabs
# Title of the service workers category.
about-debugging-runtime-service-workers = Service Workers
# Title of the shared workers category.
about-debugging-runtime-shared-workers = Shared Workers
# Title of the other workers category.
about-debugging-runtime-other-workers = Other Workers

# Displayed in the categories of "runtime" pages that don't have any debug target to
# show. Debug targets depend on the category (extensions, tabs, workers...).
about-debugging-debug-target-list-empty = Nothing yet.

# Text of a button displayed next to debug targets of "runtime" pages. Clicking on this
# button will open a DevTools toolbox that will allow inspecting the target.
# A target can be an addon, a tab, a worker...
about-debugging-debug-target-inspect-button = Inspect

# Text of a button displayed in the "This Firefox" page, in the Temporary Extension
# section. Clicking on the button will open a file picker to load a temporary extension
about-debugging-tmp-extension-install-button = Load Temporary Add-on…

# Text of a button displayed for a temporary extension loaded in the "This Firefox" page.
# Clicking on the button will reload the extension.
about-debugging-tmp-extension-reload-button = Reload

# Text of a button displayed for a temporary extension loaded in the "This Firefox" page.
# Clicking on the button will uninstall the extension and remove it from the page.
about-debugging-tmp-extension-remove-button = Remove

# Message displayed in the file picker that opens to select a temporary extension to load
# (triggered by the button using "about-debugging-tmp-extension-install-button")
# manifest.json .xpi and .zip should not be localized.
# Note: this message is only displayed in Windows and Linux platforms.
about-debugging-tmp-extension-install-message = Select manifest.json file or .xpi/.zip archive

# Text of a link displayed for extensions in "runtime" pages.
# Clicking on the link should open the manifest file in a new tab.
about-debugging-extension-manifest-link = Manifest URL

# Text displayed for extensions in "runtime" pages, before displaying the extension's uuid.
# UUIDs look like b293e463-481e-5148-a487-5aaf7a130429
about-debugging-extension-uuid =
  .label = Internal UUID

# Text displayed for extensions (temporary extensions only) in "runtime" pages, before
# displaying the location of the temporary extension.
about-debugging-extension-location =
  .label = Location

# Text displayed for extensions in "runtime" pages, before displaying the extension's ID.
# For instance "geckoprofiler@mozilla.com" or "{ed26ddcb-5611-4512-a89a-51b8db81cfb2}".
about-debugging-extension-id = Extension ID

# Text of a button displayed after the network locations "Host" input.
# Clicking on it will add the new network location to the list.
about-debugging-network-locations-add-button = Add

# Text to display when there are no locations to show.
about-debugging-network-locations-empty-text = No network locations have been added yet.

# Text of the label for the text input that allows users to add new network locations in
# the Connect page. A host is a hostname and a port separated by a colon, as suggested by
# the input's placeholder "localhost:6080".
about-debugging-network-locations-host-input-label = Host

# Text of a button displayed next to existing network locations in the Connect page.
# Clicking on it removes the network location from the list.
about-debugging-network-locations-remove-button = Remove

# This string is displayed as a label of the button that pushes a test payload
# to a service worker.
# Notes, this relates to the "Push" API, which is normally not localized so it is
# probably better to not localize it.
about-debugging-worker-action-push = Push

# This string is displayed as a label of the button that starts a service worker.
about-debugging-worker-action-start = Start

# Displayed for service workers in runtime pages,
# "Fetch" is an event type and should not be localized.
# The status is used to indicate whether the service worker is currently listening
# or not to "fetch" events.
about-debugging-worker-fetch =
  .label = Fetch
  .value =
    { $status ->
      [listening] Listening for fetch events
     *[not-listening] Not listening for fetch events
    }

# Displayed for service workers in runtime pages, to indicate the status of a worker.
# For workers for which no registration could be found yet, they are considered as
# 'registering' (only active registrations are visible from about:debugging).
about-debugging-worker-status =
  { $status ->
    [running] Running
   *[stopped] Stopped
    [registering] Registering
  }

# Displayed for service workers in runtime pages, to label the scope of a worker
about-debugging-worker-scope =
  .label = Scope

# Displayed for runtime info in runtime pages.
# { $name } is brand name such as "Firefox Nightly"
# { $version } is version such as "64.0a1"
about-debugging-runtime-info = { $name } ({ $version })

# Displayed for runtime info in runtime page when we display the device model as well.
# { $name } is brand name such as "Firefox Nightly"
# { $version } is version such as "64.0a1"
# { $deviceName } is model name of device
about-debugging-runtime-info-with-model = { $name } on { $deviceName } ({ $version })

# Text of the connection prompt button displayed in Runtime pages, when the preference
# "devtools.debugger.prompt-connection" is false on the target runtime.
about-debugging-connection-prompt-enable-button = Enable connection prompt

# Text of the connection prompt button displayed in Runtime pages, when the preference
# "devtools.debugger.prompt-connection" is true on the target runtime.
about-debugging-connection-prompt-disable-button = Disable connection prompt
